Subject: Re: bug#19576: write-file writes the wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2015 10:34:51 +0200

> Date: Fri, 20 Nov 2015 09:22:28 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], 
>  [email-masked]
> 
>  >> No particular reason.  But note that ‘delete-other-windows-internal’ may
>  >> bypass window_resize_apply, so in that particular case we have to
>  >> manually make sure that the window_sizes_changed flag gets set.  I hope
>  >> this is the only case where it matters.
>  >
>  > Would you mind doing this on the master branch, please?
> 
> It might have interesting consequences.  Presumably, you expect that
> this way we'll be finally able to run ‘window-size-change-functions’ if
> and only if the size of windows really changed.  Correct?

No, not really.  It's just a cleanup, IMO: instead of asking each
caller of window_resize_apply to set that flag, set it in that
function itself.  I didn't envision any changes in functionality due
to this change.  What did I miss?